Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.bintype
Class BintypeDate_Dddmonyy

    java.lang.Object
      |
      +--com.bea.wlxt.bintype.Bintype
            |
            +--com.bea.wlxt.bintype.BintypeDate
                  |
                  +--com.bea.wlxt.bintype.BintypeDate_Dddmonyy

public class BintypeDate_Dddmonyy
extends BintypeDate

Process input/output of dates in the format DD-MMM-YY.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlxt.bintype.Bintype
`codepageEBCDIC`

Constructor Summary
`BintypeDate_Dddmonyy()`

Method Summary
`java.text.SimpleDateFormat` | `getLocalizedFormat()`
`java.lang.String` | `read(java.io.InputStream byteStream, com.bea.wlxt.mfl.MFLField mflField)`
`void` | `write(BintypeOutputStream byteStream, com.bea.wlxt.mfl.MFLField mflField, java.lang.String value)`

Methods inherited from class com.bea.wlxt.bintype.BintypeDate
`getLocalizedDate, isEBCDIC, readDate, readDate, readDateField, writeDate, writeDateField`

Methods inherited from class com.bea.wlxt.bintype.Bintype
`applyPadAndTrim, applyPadTrimAndTruncate, canBeDataDelimited, canBeDelimited, canBeDelimSeparator, canBeFieldType, canBeLenFieldType, canBePadded, canBePassLiteral, canBeTagFieldType, canBeTrimmed, canBeTruncated, canHaveDecimalPlaces, getBinaryBytes, getDescriptionText, getDisplayName, getTypeName, isCodepageOK, isCutoffRequired, isDateType, isFixedSize, isValueOK, makeString, readDataDelim, readDelimitedField, readLength, readTag, reverseBytes, writeLength, writeTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BintypeDate_Dddmonyy

    public BintypeDate_Dddmonyy()

Method Detail

### read

    public java.lang.String read(java.io.InputStream byteStream,
                                 com.bea.wlxt.mfl.MFLField mflField)
                          throws BintypeException

  Overrides:
    read in class Bintype

### write

    public void write(BintypeOutputStream byteStream,
                      com.bea.wlxt.mfl.MFLField mflField,
                      java.lang.String value)
               throws BintypeException

  Overrides:
    write in class Bintype

### getLocalizedFormat

    public java.text.SimpleDateFormat getLocalizedFormat()

  Overrides:
    getLocalizedFormat in class BintypeDate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)